RAILS(1)

NAME
rails - Ruby on Rails deployment script

USAGE

    rails new APP_PATH [options]

OPTIONS

-r, [--ruby=PATH]
    Path to the Ruby binary of your choice (Default: /usr/bin/ruby1.9.1)

-b, [--builder=BUILDER]
    Path to a application builder (can be a filesystem path or URL)

-m, [--template=TEMPLATE]
    Path to an application template (can be a filesystem path or URL)

[--skip-gemfile]
    Don't create a Gemfile

[--skip-bundle]
    Don't run bundle install

-G, [--skip-git]
    Skip Git ignores and keeps

-O, [--skip-active-record]
    Skip Active Record files

-S, [--skip-sprockets]
    Skip Sprockets files

-d, [--database=DATABASE]
    Preconfigure for selected database (Default: sqlite3) (Options: mysql/postgresql/sqlite3/...)

-j, [--javascript=JAVASCRIPT]
    Preconfigure for selected JavaScript library (Default: jquery)

-J, [--skip-javascript]
    Skip JavaScript files

[--dev]
    Setup the application with Gemfile pointing to your Rails checkout

[--edge]
    Setup the application with Gemfile pointing to Rails repository

-T, [--skip-test-unit]
    Skip Test::Unit files

[--old-style-hash]
    Force using old style hash (:foo => 'bar') on Ruby >= 1.9

RUNTIME OPTIONS

-f, [--force]
    Overwrite files that already exist

-p, [--pretend]
    Run but do not make any changes

-q, [--quiet]
    Suppress status output

-s, [--skip]
    Skip files that already exist

RAILS OPTIONS

-h, [--help]
    Show this help message and quit

-v, [--version]
    Show Rails version number and quit

DESCRIPTION

    The 'rails new' command creates a new Rails application with a default directory structure and configuration at the path you specify.

    You can specify extra command-line arguments to be used every time 'rails new' runs in the .railsrc configuration file in your home directory.

    Note that the arguments specified in the .railsrc file don't affect the defaults values shown above in this help message.

EXAMPLE

    rails new ~/Code/Ruby/weblog

    This generates a skeletal Rails installation in ~/Code/Ruby/weblog. See the README in the newly created application to get going.

SEE ALSO
Full documentation of rails are available after Ruby On Rails is deployed. For getting started instructions, see /usr/share/doc/rails/README.Debian

AUTHOR
The upstream author of Ruby On Rails is David Heinemeier Hansson <david@loudthinking.com>. This manual page was created by help2man by Ondřej Surý <ondrej@debian.org.